XSLDBG(1)

NAME
xsldbg - Uma ferramenta da linha de comandos para depurar ficheiros XSLT

SYNOPSIS

xsldbg [--shell] [--cd <PASTA>] [--param <NOME>:<VALOR>] [--lang <LÍNGUA>] [--output <FICHEIRO>] [--version] [--verbose] [--timing] [--repeat] [--debug] [--valid] [--out] [--maxdepth val] [--html] [--docbook] [--net] [--catalogs] [--xinclude] [--profile] [--gdb] [--autoencode] [--utf8input] [--preferhtml] [--stdout] [--autorestart] [+XSLSource] [+XMLData]

DESCRIçãO

O xsldbg é uma ferramenta que pretende ajudar a compreender as 'stylesheets'. O que o torna diferente em relação aos outros depuradores de 'stylesheets' é a capacidade de procurar por itens de interesse e de seguir a execução da 'stylesheet'.

O xsldbg é uma ferramenta baseada em texto para depurar 'stylesheets' ou folhas de estilo (na linguagem eXtensible Stylesheet Language) e tem comandos semelhantes ao depurador 'gdb' do Unix/Linux. Ele tem três modos importantes de execução das 'stylesheets'.

•   Executar a 'stylesheet' por completo

•   Saltar para a próxima instrução de XSL

•   Continuar até ao próximo ponto de paragem ou reiniciar a 'stylesheet'

OPçõES
Opções da Aplicação

Nota: Para desactivar uma opção, acrescente um 'no' antes do nome da opção, como por exemplo 'nonet'

Nota: As opções marcadas com um '*' estão activas por omissão

--shell
    Inicia uma linha de comandos; aí, poderá usar a ajuda do xsldbg para obter alguma ajuda a seu tempo.

--cd <LOCALIZAÇÃO>
    Local para onde mudar antes de carregar os ficheiros. Veja também a documentação do comando 'cd'

--param <NOME>:<VALOR>
    Adiciona um parâmetro chamado <NOME> e com valor <VALOR> ao ambiente da XSL. Veja também a documentação do comando 'addparam' Nota:Poderá usar um '=' como um separador entre nome e valor, em vez do ':'

--lang <LANG>
    Usar o código da língua do ISO 639 indicado; por exemplo 'pt'

--output <FICHEIRO>
    Gravar num dado ficheiro. Veja a documentação do comando 'output'

--version
    Mostrar a versão da 'libxml' e da 'libxslt' usadas

--verbose
    Mostrar registos do que se está a passar

--timing
    Mostrar o tempo usado

--repeat
    Executa a transformação 20 vezes; se o '--repeat' for indicado duas vezes, então executa a transformação 100 vezes

--debug
    Devolve a árvore do resultado, no caso de a 'libxml' ter esse suporte activo

--valid*
    Activa a fase de leitura do DTD; por omissão, a opção está activa

--out*
    Activa a apresentação do resultado; por omissão, a opção está activa

--maxdepth val
    Aumentar a profundidade máxima

--html
    Os documentos de entrada são ficheiros HTML; deve tratá-los como tal, desde que a 'libxml' tenha esse suporte activo

--docbook
    O documento de entrada é um DocBook em SGML, caso a 'libxml' tenha esse suporte activo

--net*
    Desactivar a obtenção dos DTDs ou das entidades da rede; por omissão, a opção está activa

--catalogs
    Usar os catálogos do $SGML_CATALOG_FILES, caso a 'libxml' tenha esse suporte activo

--xinclude*
    Desactiva o processamento do XInclude na entrada do documento, caso a 'libxml' tenha esse suporte activo; por omissão, a opção está activa

--profile
    Imprimir as informações de análise

--gdb*
    Corre o modo de compatibilidade com o 'gdb' e imprime mais dados; por omissão, esta opção está activa

--autoencode*
    Detectar e usar as codificações da folha de estilo

--utf8input
    Trata a entrada da linha de comando como UTF-8 codificado

--preferhtml
    Usar o resultado em HTML ao gerar os relatórios de procura

--stdout
    Imprimir todas as mensagens de erro no 'stdout', embora normalmente estas vão para o 'stderr'

--autorestart
    Activa o reinício da execução quando o passo de processamento actual terminar

+XSLSource
    O ficheiro de XSL a executar (opcional)

+XMLData
    Os dados em XML a transformar (opcional se a XSLSource for usada)

AUTORES

O xsldbg é desenvolvido e mantido de momento por Keith Isdale <keith@kdewebdev.org>

AUTHOR
Keith Isdale.